%define api		0.2
%define gir_major	0.2
%define major		0
%define libname		%mklibname %{name} %{api} %{major}
%define devname		%mklibname -d %{name}
%define girname		%mklibname %{name}-gir %{gir_major}

Summary:	Map rendering application and library
Name:		memphis
Version:	0.2.3
Release:	%mkrel 16
License:	LGPLv2+
Group:		System/Libraries
Url:		https://github.com/jiuka/memphis/
Source0:	http://wenner.ch/files/public/mirror/memphis/%{name}-%{version}.tar.gz
BuildRequires:	pkgconfig(glib-2.0)
BuildRequires:	pkgconfig(cairo)
BuildRequires:	pkgconfig(gobject-introspection-1.0)
BuildRequires:	pkgconfig(expat)
BuildRequires:	vala-devel

%description
Memphis is a map-rendering application and a library for OpenStreetMap
written in C using eXpat, Cairo and GLib.

Features:
 * Parsing of nodes and ways from a OSM XML export file.
 * XML file format to define drawing rules.
 * Dynamic adaptable drawing rules.
 * Cairo rendering engine.
 * GObject based API.

%package -n %{libname}
Summary:	Map rendering library
Group:		System/Libraries
Requires:	%{name} >= %{version}-%{release}

%description -n %{libname}
Libmemphis is a map-rendering library for OpenStreetMap
written in C using eXpat, Cairo and GLib.

Features:
 * Parsing of nodes and ways from a OSM XML export file.
 * XML file format to define drawing rules.
 * Dynamic adaptable drawing rules.
 * Cairo rendering engine.
 * GObject based API.

%package -n %{devname}
Summary:	Map rendering library
Group:		Development/C
Requires:	%{libname} = %{version}-%{release}
Requires:	%{girname} = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}
Provides:	lib%{name}-devel = %{version}-%{release}

%description -n %{devname}
Libmemphis is a map-rendering library for OpenStreetMap
written in C using eXpat, Cairo and GLib.

Features:
 * Parsing of nodes and ways from a OSM XML export file.
 * XML file format to define drawing rules.
 * Dynamic adaptable drawing rules.
 * Cairo rendering engine.
 * GObject based API.

%package -n %{girname}
Summary:        GObject Introspection interface description for %{name}
Group:          System/Libraries
Requires:       %{libname} = %{version}-%{release}

%description -n %{girname}
GObject Introspection interface description for %{name}.

%prep
%setup -q
%autopatch -p1

%build
# to recognize aarch64
autoreconf -vfi

%configure \
	--disable-static \
	--enable-introspection \
	--enable-vala
%make_build

%install
%make_install

#we don't want these
rm -rf %{buildroot}%{_libdir}/*.la
rm -rf %{buildroot}%{_bindir}/example

%files
%{_datadir}/%{name}/

%files -n %{libname}
%doc README AUTHORS ChangeLog
%{_libdir}/lib%{name}-%{api}.so.%{major}{,.*}

%files -n %{girname}
%{_libdir}/girepository-1.0/Memphis-%{gir_major}.typelib

%files -n %{devname}
%doc ChangeLog
%doc %{_datadir}/gtk-doc/html/lib%{name}
%{_libdir}/lib%{name}-%{api}.so
%{_includedir}/lib%{name}-%{api}/
%{_libdir}/pkgconfig/%{name}-%{api}.pc
%{_datadir}/gir-1.0/Memphis-%{gir_major}.gir
%{_datadir}/vala/vapi/memphis-%{api}.{deps,vapi}



%changelog
* Fri Feb 14 2020 umeabot <umeabot> 0.2.3-16.mga8
+ Revision: 1523103
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Thu Feb 21 2019 wally <wally> 0.2.3-15.mga7
+ Revision: 1369030
- enable vala build
- update URL

* Sun Sep 23 2018 umeabot <umeabot> 0.2.3-14.mga7
+ Revision: 1299515
- Mageia 7 Mass Rebuild

* Sun Jun 03 2018 wally <wally> 0.2.3-13.mga7
+ Revision: 1234101
- loosen lib pkg requires
+ kekepower <kekepower>
- Use new make macros

* Fri Feb 12 2016 umeabot <umeabot> 0.2.3-12.mga6
+ Revision: 956148
- Mageia 6 Mass Rebuild

* Mon Jun 29 2015 wally <wally> 0.2.3-11.mga6
+ Revision: 847770
- add requires for gir pkg to devel pkg

* Wed Oct 15 2014 umeabot <umeabot> 0.2.3-10.mga5
+ Revision: 745642
- Second Mageia 5 Mass Rebuild

* Sat Sep 27 2014 tv <tv> 0.2.3-9.mga5
+ Revision: 727229
- rebuild for missing pythoneggs deps

* Fri Sep 26 2014 wally <wally> 0.2.3-8.mga5
+ Revision: 724943
- rebuild with new rpm-mageia-setup to generate requires for .typelib files

* Tue Sep 16 2014 umeabot <umeabot> 0.2.3-7.mga5
+ Revision: 682353
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 0.2.3-6.mga4
+ Revision: 507885
- Mageia 4 Mass Rebuild

* Sat Jan 12 2013 umeabot <umeabot> 0.2.3-5.mga3
+ Revision: 359942
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Sep 03 2011 wally <wally> 0.2.3-4.mga2
+ Revision: 138150
- split gir .typelib to own subpackage
- clean BRs and use pkgconfigstyle if possible
- disable static build
- clean .spec a bit

* Sun Jan 23 2011 pterjan <pterjan> 0.2.3-3.mga1
+ Revision: 35463
- imported package memphis


* Mon Sep 13 2010 Götz Waschk <waschk@mandriva.org> 0.2.3-3mdv2011.0
+ Revision: 577920
- rebuild for new g-i

* Fri Jul 30 2010 Funda Wang <fwang@mandriva.org> 0.2.3-2mdv2011.0
+ Revision: 563452
- rebuild for new gobject-introspection

* Sun Jul 11 2010 Götz Waschk <waschk@mandriva.org> 0.2.3-1mdv2011.0
+ Revision: 550843
- new version
- update file list

* Fri Apr 23 2010 Götz Waschk <waschk@mandriva.org> 0.2.1-1mdv2010.1
+ Revision: 538176
- new version
- drop patch

* Fri Mar 05 2010 Götz Waschk <waschk@mandriva.org> 0.2.0-1mdv2010.1
+ Revision: 514507
- new version
- new API
- rediff patch
- add introspection support
- add gtk-doc files

* Mon Jan 25 2010 Götz Waschk <waschk@mandriva.org> 0.1.0-1mdv2010.1
+ Revision: 495977
- import memphis


